/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.device.dto.ctrl;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.*;
import java.io.Serializable;

/**
* Restful接口--新增资源--数据传输对象：上位机管理表
*
* createdate:  2022-09-13 17:29:46  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "上位机管理表")
public class CdDeviceCtrlAddDto implements Serializable
{
    /**
     * 上位机名称<br>
     */
    @ApiModelProperty("上位机名称")
    @Size(max = 32, message="上位机名称-ctrlName: 数据长度不能 > 32" )
    private String ctrlName;
    /**
     * 上位机ip<br>
     */
    @ApiModelProperty("上位机ip")
    @Size(max = 32, message="上位机ip-ctrlIp: 数据长度不能 > 32" )
    private String ctrlIp;
    /**
     * 上位机位置<br>
     */
    @ApiModelProperty("上位机位置")
    @Size(max = 32, message="上位机位置-ctrlAddr: 数据长度不能 > 32" )
    private String ctrlAddr;
    /**
     * 上位机端口<br>
     */
    @ApiModelProperty("上位机端口")
    @Size(max = 5, message="上位机位置-ctrlPort: 数据长度不能 > 5" )
    private String ctrlPort;
    /**
     * appium端口<br>
     */
    @ApiModelProperty("appium端口")
    @Size(max = 5, message="上位机位置-appiumPort: 数据长度不能 > 5" )
    private String appiumPort;
    /**
     * 上位机状态<br>
     */
    @ApiModelProperty("上位机状态")
    @Size(max = 1, message="上位机状态-ctrlStatus: 数据长度不能 > 1" )
    private String ctrlStatus;
    /**
     * 接入设备上限<br>
     */
    @ApiModelProperty("接入设备上限")
    private Integer ctrlUpLimit;
    /**
     * 备注<br>
     */
    @ApiModelProperty("备注")
    @Size(max = 512, message="备注-remark: 数据长度不能 > 512" )
    private String remark;

    public String getCtrlName() {
        return ctrlName;
    }

    public void setCtrlName(String ctrlName) {
        this.ctrlName = ctrlName;
    }

    public String getCtrlIp() {
        return ctrlIp;
    }

    public void setCtrlIp(String ctrlIp) {
        this.ctrlIp = ctrlIp;
    }

    public String getCtrlAddr() {
        return ctrlAddr;
    }

    public void setCtrlAddr(String ctrlAddr) {
        this.ctrlAddr = ctrlAddr;
    }

    public String getCtrlStatus() {
        return ctrlStatus;
    }

    public void setCtrlStatus(String ctrlStatus) {
        this.ctrlStatus = ctrlStatus;
    }

    public Integer getCtrlUpLimit() {
        return ctrlUpLimit;
    }

    public void setCtrlUpLimit(Integer ctrlUpLimit) {
        this.ctrlUpLimit = ctrlUpLimit;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getCtrlPort() {
        return ctrlPort;
    }

    public void setCtrlPort(String ctrlPort) {
        this.ctrlPort = ctrlPort;
    }

    public String getAppiumPort() {
        return appiumPort;
    }

    public void setAppiumPort(String appiumPort) {
        this.appiumPort = appiumPort;
    }
}